diff --git a/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx b/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx
index bb8b89ee8..1167ce2b3 100644
--- a/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx
+++ b/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSet.jsx
@@ -1206,7 +1206,7 @@ export function ResultSet() {
         <EmptyPanelMessage text={gettext('No data output. Execute a query to get output.')}/>
       }
       {queryData && <>
-        <ResultSetToolbar containerRef={containerRef} canEdit={queryData.can_edit}/>
+        <ResultSetToolbar containerRef={containerRef} canEdit={queryData.can_edit} totalRowCount={queryData?.rows_affected}/>
         <Box flexGrow="1" minHeight="0">
           <QueryToolDataGrid
             columns={columns}
diff --git a/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSetToolbar.jsx b/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSetToolbar.jsx
index c1bd5463b..34c34c8db 100644
--- a/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSetToolbar.jsx
+++ b/web/pgadmin/tools/sqleditor/static/js/components/sections/ResultSetToolbar.jsx
@@ -37,7 +37,7 @@ const useStyles = makeStyles((theme)=>({
   },
 }));
 
-export function ResultSetToolbar({containerRef, canEdit}) {
+export function ResultSetToolbar({containerRef, canEdit, totalRowCount}) {
   const classes = useStyles();
   const eventBus = useContext(QueryToolEventsContext);
   const queryToolCtx = useContext(QueryToolContext);
@@ -46,6 +46,7 @@ export function ResultSetToolbar({containerRef, canEdit}) {
     'save-data': true,
     'delete-rows': true,
     'copy-rows': true,
+    'save-result': true,
   });
   const [menuOpenId, setMenuOpenId] = React.useState(null);
   const [checkedMenuItems, setCheckedMenuItems] = React.useState({});
@@ -109,6 +110,10 @@ export function ResultSetToolbar({containerRef, canEdit}) {
     });
   }, []);
 
+  useEffect(()=>{
+    setDisableButton('save-result', (totalRowCount||0) < 1);
+  }, [totalRowCount]);
+
   useEffect(()=>{
     eventBus.registerListener(QUERY_TOOL_EVENTS.TRIGGER_COPY_DATA, copyData);
     return ()=>eventBus.deregisterListener(QUERY_TOOL_EVENTS.TRIGGER_COPY_DATA, copyData);
@@ -150,7 +155,8 @@ export function ResultSetToolbar({containerRef, canEdit}) {
         </PgButtonGroup>
         <PgButtonGroup size="small">
           <PgIconButton title={gettext('Save results to file')} icon={<GetAppRoundedIcon />}
-            onClick={downloadResult} shortcut={queryToolPref.download_results}/>
+            onClick={downloadResult} shortcut={queryToolPref.download_results}
+            disabled={buttonsDisabled['save-result']} />
         </PgButtonGroup>
       </Box>
       <PgMenu
@@ -167,4 +173,5 @@ export function ResultSetToolbar({containerRef, canEdit}) {
 ResultSetToolbar.propTypes = {
   containerRef: CustomPropTypes.ref,
   canEdit: PropTypes.bool,
+  totalRowCount: PropTypes.number,
 };
